osl::PieceStandIO Struct Reference

`#include <pieceStand.h>`

## Static Public Member Functions

static std::ostream & | writeNumbers (std::ostream &, const PieceStand &stand)
| 持駒の数を空白区切で出力する.
static std::istream & | readNumbers (std::istream &, PieceStand &stand)

## Detailed Description

Definition at line 270 of file bits/pieceStand.h.

## Member Function Documentation

## readNumbers()

std::istream & osl::PieceStandIO::readNumbers | ( | std::istream & | is,
|  | PieceStand & | stand )

static

Definition at line 96 of file pieceStand.cc.

References osl::PieceStand::add(), and osl::PieceStand::order.

## writeNumbers()

std::ostream & osl::PieceStandIO::writeNumbers | ( | std::ostream & | os,
|  | const PieceStand & | stand )

static

持駒の数を空白区切で出力する.

数値処理用途

Definition at line 88 of file pieceStand.cc.

References osl::PieceStand::get(), and osl::PieceStand::order.

The documentation for this struct was generated from the following files:

- bits/pieceStand.h
- pieceStand.cc